LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUpdateInformationProvider Interface Reference

Objects implementing this interface provide access to the xml root of one or more update information files for a given set of URLs. More...

`import"XUpdateInformationProvider.idl";`

Inheritance diagram for XUpdateInformationProvider:

## Public Member Functions
sequence< com::sun::star::xml::dom::XElement > | getUpdateInformation ([in] sequence< string > repositories, [in] string extensionId) raises ( com::sun::star::uno::Exception )
| get update information for a specific extension or all available information from a repository. More...
void | cancel ()
| interrupts a getUpdateInformation call and let's it return immediately. More...
void | setInteractionHandler ([in] com::sun::star::task::XInteractionHandler handler)
| Sets an interaction handler to be used for further operations. More...
com::sun::star::container::XEnumeration | getUpdateInformationEnumeration ([in] sequence< string > repositories, [in] string extensionId) raises ( com::sun::star::uno::Exception )
| get update information for a specific extension or all available information from a repository. More...

## Detailed Description

Objects implementing this interface provide access to the xml root of one or more update information files for a given set of URLs.

Since
  OOo 2.2

## Member Function Documentation

## ◆ cancel()

void cancel | ( |  | ) |

interrupts a getUpdateInformation call and let's it return immediately.

## ◆ getUpdateInformation()

sequence< com::sun::star::xml::dom::XElement > getUpdateInformation | ( | [in] sequence< string > | repositories,
|  | [in] string | extensionId
| ) |  |
raises | ( | com::sun::star::uno::Exception
| ) |  |

get update information for a specific extension or all available information from a repository.

Parameters

  repositories | a repository and its mirrors.
  extensionId | the unique identifier of an extension. If it is not empty and the update document is an atom feed, only items whose "term" attribute of the atom:category tag matches extensionId are returned.

## ◆ getUpdateInformationEnumeration()

com::sun::star::container::XEnumeration getUpdateInformationEnumeration | ( | [in] sequence< string > | repositories,
|  | [in] string | extensionId
| ) |  |
raises | ( | com::sun::star::uno::Exception
| ) |  |

get update information for a specific extension or all available information from a repository.

Parameters

  repositories | a repository and its mirrors.
  extensionId | the unique identifier of an extension. If it is not empty and the update document is an atom feed, only items whose "term" attribute of the atom:category tag matches extensionId are returned.

Returns
  an enumeration of UpdateInformationEntry.

## ◆ setInteractionHandler()

void setInteractionHandler | ( | [in] com::sun::star::task::XInteractionHandler | handler | ) |

Sets an interaction handler to be used for further operations.

A default interaction handler is available as service com::sun::star::task::InteractionHandler. The documentation of this service also contains further information about the interaction handler concept.

See also
  com::sun::star::task::InteractionHandler

Parameters

  handler | The interaction handler to be set

The documentation for this interface was generated from the following file:

- com/sun/star/deployment/XUpdateInformationProvider.idl